> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/page-manipulation/create.md).

# Create a blank document page on iOS

Learn how to create a new 8.5x11 blank page in a PDF document and add it at the end of the page sequence. Follow step-by-step instructions for optimal results. The Apryse iOS SDK streamlines secure do

To create a new 8.5x11 blank page and add it at the end of document's page sequence.

Note that, after the page is created, it does not yet belong to a document's page sequence. The page needs to be placed within the page sequence in order to become "visible". `PagePushBack()` inserts page *x* into the position of the document's last page.

{% tabs %}
{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc *doc = [[PTPDFDoc alloc] initWithFilepath: filename];

// create a new page
PTPage* x = [doc PageCreate];
[doc PagePushBack:x];
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath: filename)

// create a new page
let x: PTPage = doc.pageCreate()
doc.pagePushBack(x)
```

{% endcode %}
{% endtab %}
{% endtabs %}

## About creating a new blank page

To create a new page, use the `PDFDoc.PageCreate(media_box)` method. `PageCreate()` takes an optional Rect argument that can be used to specify page size. This Rect is called a media box.

A *media box* is a rectangle, expressed in default user space units, defining the boundaries of the physical medium on which the page is intended to be displayed or printed. A user space unit is 1/72 of an inch. If media\_box is unspecified, the default dimensions of the page are 8.5 x 11 inches (or 8.5\*72, 11\*72 units).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/page-manipulation/create.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
